Bug 494082 - 2.6.29.1-37.rc1.fc11.i586: kernel oops on usb sound card unplug.
2.6.29.1-37.rc1.fc11.i586: kernel oops on usb sound card unplug.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 22:09 EDT by Lennart Poettering
Modified: 2009-11-05 17:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 17:52:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2009-04-03 22:09:08 EDT
ALSA sound/usb/usbaudio.c:354: frame 0 active: -71
usb 1-5: USB disconnect, address 7
ALSA sound/usb/usbaudio.c:354: frame 0 active: -71
ALSA sound/usb/usbaudio.c:699: cannot submit urb (err = -19)
ALSA sound/usb/usbaudio.c:873: cannot submit datapipe for urb 0, error -19: no device
BUG: unable to handle kernel paging request at 6b6b6b6f
IP: [<c062b919>] usb_ifnum_to_if+0x15/0x37
*pde = 00000000 
Oops: 0000 [#1] SMP 
last sysfs file: /sys/devices/system/cpu/cpu1/cpufreq/scaling_cur_freq
Modules linked in: snd_usb_audio uvcvideo snd_usb_lib videodev v4l1_compat snd_rawmidi fuse ipt_MASQUERADE iptable_nat nf_nat nfsd lockd nfs_acl auth_rpcgss exportfs rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq ext2 dm_multipath sha256_generic aes_i586 aes_generic cbc dm_crypt kvm_intel kvm uinput thinkpad_acpi hwmon sdhci_pci sdhci pcspkr i2c_i801 mmc_core iTCO_wdt firewire_ohci iTCO_vendor_support yenta_socket firewire_core rsrc_nonstatic snd_hda_codec_analog crc_itu_t btusb snd_hda_intel snd_hda_codec bluetooth arc4 sierra usbserial snd_hwdep ecb snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq joydev iwl3945 snd_seq_device rfkill mac80211 snd_pcm_oss snd_mixer_oss lib80211 snd_pcm cfg80211 snd_timer snd soundcore e1000e snd_page_alloc i915 drm i2c_algo_bit i2c_core video output [last unloaded: microcode]

Pid: 7117, comm: lt-pulseaudio Tainted: G        W  (2.6.29.1-37.rc1.fc11.i586 #1) 17046DG
EIP: 0060:[<c062b919>] EFLAGS: 00010202 CPU: 1
EIP is at usb_ifnum_to_if+0x15/0x37
EAX: edef2180 EBX: 6b6b6b6b ECX: 00000000 EDX: 00000003
ESI: edef2180 EDI: edf6cf00 EBP: edf35ecc ESP: edf35ec0
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process lt-pulseaudio (pid: 7117, ti=edf34000 task=eeb83f90 task.ti=edf34000)
Stack:
 eddf6e10 edef2180 edf6cf00 edf35ee8 c0632787 00000003 00000000 eddf6e10
 edfc68c0 edf6cf00 edf35ef4 f827ee38 edfc68c0 edf35f00 f7dfab91 eddf7670
 edf35f1c f7dfac15 edfdc620 eddf7810 edd7d3c0 edf6cf00 ee099740 edf35f34
Call Trace:
 [<c0632787>] ? usb_set_interface+0x2c/0x17b
 [<f827ee38>] ? snd_usb_capture_close+0x23/0x3c [snd_usb_audio]
 [<f7dfab91>] ? snd_pcm_release_substream+0x42/0x6b [snd_pcm]
 [<f7dfac15>] ? snd_pcm_release+0x5b/0xa5 [snd_pcm]
 [<f7d82ee0>] ? snd_disconnect_release+0x72/0x8d [snd]
 [<c04ab6d8>] ? __fput+0xd7/0x163
 [<c04ab77c>] ? fput+0x18/0x1a
 [<c0496828>] ? remove_vma+0x41/0x60
 [<c04975db>] ? do_munmap+0x209/0x223
 [<c049762c>] ? sys_munmap+0x37/0x47
 [<c0403f12>] ? syscall_call+0x7/0xb
Code: 6a 00 ba 01 00 00 00 e8 51 84 df ff 59 8d 65 f4 5b 5e 5f 5d c3 90 55 89 e5 57 56 53 0f 1f 44 00 00 8b 98 e0 01 00 00 85 db 74 1b <0f> b6 73 04 31 c9 eb 0f 8b 44 8b 50 8b 38 0f b6 7f 02 39 d7 74 
EIP: [<c062b919>] usb_ifnum_to_if+0x15/0x37 SS:ESP 0068:edf35ec0
---[ end trace f85104f9245a7e4c ]---
Comment 1 Bug Zapper 2009-06-09 09:14:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chris Shoemaker 2009-10-20 14:49:52 EDT
Is there any additional information that I might be able to provide to help with this bug?
Comment 3 Vedran Miletić 2009-10-26 11:03:57 EDT
Yes, please retry with Fedora 12 Beta.
Comment 4 Vedran Miletić 2009-11-05 17:52:21 EST
I'm closing this bug as well as all other open kernel bugs reported in rc kernel versions. It's normal for rc kernels to carry bugs which get fixed in the process. If this bug is reproducible in current kernel in Fedora 12 Beta or newer, please reopen it.

Note You need to log in before you can comment on or make changes to this bug.